<?php
/**
 * @copyright (c) Kufer Software GmbH, Oderstraße 7, D-84453 Mühldorf
 */

namespace Kufer\Web\KuferTools\Veranstalter\DozentenInfo\Detailsreiter\Kurse\PdfListen\SonstigeListen\ShowSettingsSonstigeListen;


class ShowSettingsSonstigeListenController extends \Kufer\Web\KuferTools\Veranstalter\DozentenInfo\Detailsreiter\Kurse\PdfListen\DruckListen\ShowSettingsDruckListen\ShowSettingsDruckListenController
{
  
  protected function getUseCase(): \Kufer\Web\KuferTools\Basis\UseCase\UseCase
  {
    return new ShowSettingsSonstigeListenUseCase(
      $this->getRequestObj()
    );
  }

  

  
  protected function getPresenter($pUseCaseResponse)
  {
    return new ShowSettingsSonstigeListenPresenter($pUseCaseResponse);
  }
}